<%- include('../partials/header', {title: 'Editace uživatele'}); %>
<!-- Datatables styles -->
<link rel="stylesheet" href="/assets/vendor/datatables.net-bs4/css/dataTables.bootstrap4.min.css">
<link rel="stylesheet" href="/assets/vendor/datatables.net-buttons-bs4/css/buttons.bootstrap4.min.css">
<link rel="stylesheet" href="/assets/vendor/datatables.net-select-bs4/css/select.bootstrap4.min.css">
<%- include('../partials/scripts'); %>
</head>

<body class="">
  <%- include('../partials/navbar', {active: 'users'}); %>
  <div class="main-content">
    <%- include('../partials/topbar', {title: 'Editace uživatele'}) %>
    <%- include('partials/header-bar') %>
    <div class="container-fluid mt--7">
      <div class="row">
        <div class="col">
          <div class="card shadow">
            <div class="card-header border-0">
              <h3 class="mb-0">Editace uživatele</h3>
            </div>
            <div class="card-body">
              <form method="POST" action="">
                <input type="hidden" name="id" value="<%= user._id %>">
                <h3>Obecné info</h3>
                <div class="row">
                  <div class="col-sm-6">
                    <div class="form-group">
                      <input type="text" name="firstname" placeholder="Křestní jméno" class="form-control border-1"
                        required value="<%= user.name.first %>">
                    </div>
                  </div>
                  <div class="col-sm-6">
                    <div class="form-group">
                      <input type="text" name="lastname" placeholder="Příjmení" class="form-control border-1 small"
                        required value="<%= user.name.last %>">
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-6">
                    <div class="form-group">
                      <input type="email" name="email" placeholder="Email" class="form-control border-1 small" required
                        value="<%= user.email %>">
                    </div>
                  </div>
                  <div class="col-sm-6">
                    <div class="form-group">
                      <input type="text" name="username" placeholder="Uživatelské jméno"
                        class="form-control border-1 small" required value="<%= user.username %>">
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-12">
                    <div class="form-group">
                      <input type="text" name="profilePhotoUrl" placeholder="URL profilové fotky"
                        class="form-control border-1 small" required value="<%= user.photoUrl %>">
                    </div>
                  </div>
                </div>
                <br />
                <h3>Práva</h3>
                <h4>Kategorie</h4>
                <div class="row">
                  <% CONFIG.permissions.forEach((permission) => { %>
                  <div class="col-sm-2">
                    <div class="custom-control custom-checkbox small">
                      <input type="checkbox" class="custom-control-input" name="permissions[]" value="<%= permission %>"
                        id="<%= permission %>Checkbox"
                        <%= user.permissions ? (user.permissions.includes(permission) ? 'checked' : '') : '' %>>
                      <label class="custom-control-label" for="<%= permission %>Checkbox">
                        <%= permission %>
                      </label>
                    </div>
                  </div>
                  <% }); %>
                </div>
                <br />
                <h4>Ročníky</h4>
                <div class="row">
                  <% years.forEach((year) => { %>
                  <div class="col-sm-2">
                    <div class="custom-control custom-checkbox small">
                      <input type="checkbox" class="custom-control-input" name="years[]" value="<%= year.name %>"
                        id="<%= year._id %>Checkbox" <%= (user.years.includes(year.name)) ? 'checked' : '' %>>
                      <label class="custom-control-label" for="<%= year._id %>Checkbox">
                        <%= year.name %>
                      </label>
                    </div>
                  </div>
                  <% }); %>
                </div>
                <div class="row">
                  <div class="col-sm-12">
                    <button class="btn btn-icon btn-primary" type="submit">
                      <span class="btn-inner--text">Editovat</span>
                    </button>
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
      <%- include('../partials/footer') %>
      <!-- Optional JS -->
      <script src="//cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
      <script src="/assets/vendor/datatables.net/js/jquery.dataTables.min.js"></script>
      <script src="/assets/vendor/datatables.net-bs4/js/dataTables.bootstrap4.min.js"></script>
      <script src="/assets/vendor/datatables.net-buttons/js/dataTables.buttons.min.js"></script>
      <script src="/assets/vendor/datatables.net-buttons-bs4/js/buttons.bootstrap4.min.js"></script>
      <script src="/assets/vendor/datatables.net-buttons/js/buttons.html5.min.js"></script>
      <script src="/assets/vendor/datatables.net-buttons/js/buttons.flash.min.js"></script>
      <script src="/assets/vendor/datatables.net-buttons/js/buttons.print.min.js"></script>
      <script src="/assets/vendor/datatables.net-select/js/dataTables.select.min.js"></script>
      <script>
        $(document).ready(function () {
          $('#myTable').DataTable();
        });
      </script>
    </div>
  </div>




  <%- include('../partials/file-end') %>